body{
    height: 1000px;
    background-color: white;
}

div {
    background-color: black;
    color: white;
    height: 200px;
    width: 200px;
}

.div1 {
    float: left;
    margin-left: -20px;
}

.div2 {
    position: absolute;
    right: 210px;
}

.div3 {
    position: absolute;
    right: 0;
}
